Getting Started
================

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Install

`pip install twiplies`

## How to use

``` python
from twiplies.core import Twiplies
```

``` python
import os
from dotenv import load_dotenv

load_dotenv()

robot = Twiplies(
    username="joaopcnogueira",
    consumer_key=os.getenv("CONSUMER_KEY"),
    consumer_secret=os.getenv("CONSUMER_SECRET"),
    access_token=os.getenv("ACCESS_TOKEN"),
    access_token_secret=os.getenv("ACCESS_TOKEN_SECRET")
)
```

``` python
robot
```

    Twiplies(username='joaopcnogueira')

Get tweet’s replies from a specific `tweet_id`:

``` python
robot.get_replies_from_tweet(tweet_id='1552109783393751042', n_tweets=100)
```

<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>tweet_original</th>
      <th>tweet_replies</th>
      <th>tweet_user</th>
      <th>tweet_location</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>1552109783393751042</td>
      <td>@joaopcnogueira Sim! O carregador não posso ma...</td>
      <td>annppn</td>
      <td>Rio de Janeiro, Brazil</td>
    </tr>
  </tbody>
</table>
</div>

Get tweet’s replies from all twitters from an user:

``` python
robot.get_all_replies(n_tweets=1000)
```

<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>tweet_original</th>
      <th>tweet_replies</th>
      <th>tweet_user</th>
      <th>tweet_location</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>1553619245552091136</td>
      <td>@jeremyphoward Did I forgot to mention all of ...</td>
      <td>joaopcnogueira</td>
      <td></td>
    </tr>
    <tr>
      <th>1</th>
      <td>1553412331845160962</td>
      <td>@joaopcnogueira @arnaldog12_ Olha só, não esta...</td>
      <td>apachaves</td>
      <td>France</td>
    </tr>
    <tr>
      <th>2</th>
      <td>1552333709717786625</td>
      <td>@joaopcnogueira 🥲</td>
      <td>mribeirodantas</td>
      <td>Natal, Brazil🇧🇷</td>
    </tr>
    <tr>
      <th>3</th>
      <td>1552112385065877504</td>
      <td>@joaopcnogueira não 😣</td>
      <td>annppn</td>
      <td>Rio de Janeiro, Brazil</td>
    </tr>
    <tr>
      <th>4</th>
      <td>1552109783393751042</td>
      <td>@joaopcnogueira Sim! O carregador não posso ma...</td>
      <td>annppn</td>
      <td>Rio de Janeiro, Brazil</td>
    </tr>
    <tr>
      <th>5</th>
      <td>1550922456625463296</td>
      <td>@joaopcnogueira Salam, here is your unroll: ht...</td>
      <td>UnrollHelper</td>
      <td></td>
    </tr>
  </tbody>
</table>
</div>
